%% Main 1 
clear all
close all
clc


%% Exercise 1.1 - Effect of Shape Factor
alphamin = 0.4e-9;
alphamax = 1e-9;
N_alphavalues = 7;

shape_factor_variation(alphamin,...
   alphamax, N_alphavalues)
% 2 figures here
%  pause; 

%% Exercise 1.2 - Effect of Differentiation
alpha = 0.714e-9;
Gaussian_derivatives(alpha)
% 1 figure here
%  pause;
Gaussian_derivatives_ESD(alpha)
% 1 figure here
%  pause;

peakfrequency=Gaussian_derivatives_peak_frequency(alphamin, alphamax, N_alphavalues);
% 1 figure here
%  pause;

figure()
PT=plot(1:15,peakfrequency(:,1)','LineWidth',2);
hold on
plot(1:15,sqrt(1:15).*(1/(alphamin*sqrt(pi))),'or','LineWidth',2)
AX=gca;
set(AX,'FontSize',12);
X=xlabel('Derivative order');
set(X,'FontSize',14);
Y=ylabel('Peak frequency [Hz]');
set(Y,'FontSize',14);
axis([0 16 1e9 6e9]);
grid on
lh=legend('simulation', 'analytical');
set(lh,'Location','NorthWest')

Gaussian_derivatives_10dB_bandwidth(alphamin, alphamax, N_alphavalues)
% 1 figure here

