function [emissionmask] = generate_mask(N,fs)

df = fs / N;               % fundamental frequency
emissionmask = zeros(N/2);
n1 = round(0.96e9/df);
n2 = round(1.61e9/df);
n3 = round(1.99e9/df);
n4 = round(3.1e9/df);
n5 = round(10.6e9/df);

a(1:n1)=-41.3;
b(1:(n2-n1))=-75.3;
c(1:(n3-n2))=-53.3;
d(1:n4-n3)=-51.3;
e(1:n5-n4)=-41.3;
f(1:(N/2-n5))=-51.3;
emissionmask=[a b c d e f];